Kodi Community Forum

Full Version: uxlaunch Documentation
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2
I upgraded to the latest build in the ppa, I was intrigued to see that some old faithful packages are no longer required and now there is this newfangled uxlaunch package. I guess almost inevitably it didn't work and the only useful information in the uxlaunch log was regarding a Consolekit error.

Code:
Error: Unable to open session with ConsoleKit: org.freedesktop.CkConnector.Error: Unable to open session: Rejected send message, 2 matched rules;
type="method_call", sender=":1.6" (uid=1000 pid=974 comm="uxlaunch) interface="org.freedesktop.ConsoleKit.Manager" member="OpenSessionWithParameters" error name="(unset)" requested_reply=0 destination="org.freedesktop.ConsoleKit" (uid=0 pid=1240 comm="/usr/sbin/console-kit-daemon))

I think this means I need to change the user privileges somehow but I'm out of my depth here.
I didn't plan to include the uxlaunch stuff in xbmc-pvr. karmic and lucid don't have it and couldn't be upgraded.

new packages have been published (odk18) without uxlaunch.
Hello,

Thank you for the good work done.

I have just updated to the last available version (odk34) and I have the problem with Lucid. (the uxlaunch package is considered as a mandatory dependency for the xbmc-live package then I can't install it)
Since uxlaunch is included in odk34 my USB-drives don't longer automount. Sad
dushmaniac Wrote:I didn't plan to include the uxlaunch stuff in xbmc-pvr. karmic and lucid don't have it and couldn't be upgraded.

new packages have been published (odk18) without uxlaunch.

Just tried to update lucid build from odk and its still there as a dependency
it's in xbmc-packaging, so it got included in the pvr build too (same as last time).
I'll ask theuni whether I should use the old xbmc-packaging without uxlaunch or provide an uxlaunch build for lucid too.
dushmaniac Wrote:it's in xbmc-packaging, so it got included in the pvr build too (same as last time).
I'll ask theuni whether I should use the old xbmc-packaging without uxlaunch or provide an uxlaunch build for lucid too.

Aight nice. Let me know when its fixed.

Whats uxlaunch used for btw?

-gob
dushmaniac Wrote:it's in xbmc-packaging, so it got included in the pvr build too (same as last time).
I'll ask theuni whether I should use the old xbmc-packaging without uxlaunch or provide an uxlaunch build for lucid too.
Hi,

I am running into the uxlaunch issue as well after updating, how can I revert back to the previous version of your package (if possible at all)?

Thanks,
Ruud
some considerations already done about uxlaunch and xbmc http://forum.xbmc.org/showthread.php?tid=98773
Ruud Wrote:Hi,

I am running into the uxlaunch issue as well after updating, how can I revert back to the previous version of your package (if possible at all)?

Thanks,
Ruud

cd /var/cache/apt/archives/
sudo dpkg -i *odk30*
Didn´t try it but wouldn´t it be possible to launch xbmc directly without xbmc-live package by making an startscript in the right runlevel directory?
Excuse my poor english, i´m from Germany Smile
LAW-Mastermind Wrote:Didn´t try it but wouldn´t it be possible to launch xbmc directly without xbmc-live package by making an startscript in the right runlevel directory?
Excuse my poor english, i´m from Germany Smile
You can do the following:
Code:
sudo apt-get remove xbmc-live uxlaunch -y; sudo apt-get install xbmc-standalone -y
sudo nano /etc/init/xbmc.conf
Now paste this into the xbmc.conf:
Code:
# xbmc-standalone
description "Autostart XBMC"

start on (filesystem and stopped udevtrigger)
stop on runlevel [06]

task
console output
emits starting-x

script
su xbmc -c "startx /etc/X11/Xsession /usr/bin/xbmc-standalone"
end script
ezechiel1917's advice is the easiest way to roll back, but you don't even need to fully roll back to the previous version of xbmc, only of xbmc-live.

Go to the apt archives folder as indicated and just run the deb file for xbmc-live, something like:

cd /var/cache/apt/archives/
sudo dpkg -i xbmc-live..etc...etc...odk30.deb

I did this last night - got a warning/error that the xbmc-live deb didn't fully configure/unpackage correctly, but rebooted and the pc now correctly boots into xbmc live. I checked and I'm running the latest odk34 version of xbmc too...

Cheers,
Adam.
ezechiel1917 Wrote:cd /var/cache/apt/archives/
sudo dpkg -i *odk30*
Hi ezechiel,
thanks for your info but unfortunately in an attempt (*banging head to wall*) to fix the error I erased the cache with an autoclean Sad

@burningsky: your method doesn't work, unable to install xbmc-standalone due to unmet dependencies?
Code:
The following packages have unmet dependencies:
  xbmc-standalone: Depends: xbmc-data (= 2:11.0-pvr+odk14~git20110324.28a2544~ppa+odk14~lucid)
                   Depends: xbmc-skin-confluence (= 2:11.0-pvr+odk14~git20110324.28a2544~ppa+odk14~lucid)


any other way?
regards,
Ruud.
Ruud, I'm assuming you want the i386 build? If so, you can grab old individual .deb files from launchpad.net. Here's the xbmc-live .deb for the prevous (odk30) build: https://launchpad.net/~lars-opdenkamp/+a...id_all.deb

Alternatively, there are other previous builds here: https://launchpad.net/~lars-opdenkamp/+a...tate=built
Pages: 1 2